
From: Srivatsa Vaddagiri <vatsa@in.ibm.com>

Rusty mentioned that the unlikely hints against cpu_is_offline is redundant
since the macro already has that hint.  Patch below removes those redundant
hints I added.


---

 25-akpm/kernel/fork.c  |    2 +-
 25-akpm/kernel/sched.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN kernel/fork.c~sched-move-migrate_all_tasks-to-cpu_dead-handling-unlikely-cleanup kernel/fork.c
--- 25/kernel/fork.c~sched-move-migrate_all_tasks-to-cpu_dead-handling-unlikely-cleanup	2004-04-30 00:02:32.282554976 -0700
+++ 25-akpm/kernel/fork.c	2004-04-30 00:02:32.288554064 -0700
@@ -1227,7 +1227,7 @@ long do_fork(unsigned long clone_flags,
 			int cpu = get_cpu();
 
 			p->state = TASK_STOPPED;
-			if (unlikely(cpu_is_offline(task_cpu(p))))
+			if (cpu_is_offline(task_cpu(p)))
 				set_task_cpu(p, cpu);
 
 			put_cpu();
diff -puN kernel/sched.c~sched-move-migrate_all_tasks-to-cpu_dead-handling-unlikely-cleanup kernel/sched.c
--- 25/kernel/sched.c~sched-move-migrate_all_tasks-to-cpu_dead-handling-unlikely-cleanup	2004-04-30 00:02:32.284554672 -0700
+++ 25-akpm/kernel/sched.c	2004-04-30 00:02:32.298552544 -0700
@@ -3386,7 +3386,7 @@ static int migration_thread(void * data)
 
 		spin_lock_irq(&rq->lock);
 
-		if (unlikely(cpu_is_offline(cpu))) {
+		if (cpu_is_offline(cpu)) {
 			spin_unlock_irq(&rq->lock);
 			goto wait_to_die;
 		}

_
